<?php
defined( '_JEXEC' ) or die( 'Restricted index access' );

// MMenu
$document->addScript('templates/'.$this->template.'/js/mmenu-light.js', true, false);

// Modernizr
$document->addScript('templates/'.$this->template.'/js/modernizr.custom.js');

// Animate
if($this->params->get('animatecss_sw'))  {
    // Animate on Scroll
    $document->addScript('https://cdnjs.cloudflare.com/ajax/libs/waypoints/4.0.1/noframework.waypoints.min.js"', true, false);
}


if($this->params->get('sticky_sw', '0'))  {
    // Sticky Div
    $document->addScript('templates/'.$this->template.'/js/jquery.sticky.min.js', false, true);
    $document->addScriptDeclaration('
        jQuery(window).load(function(){
            jQuery(".header_nav").sticky({ 
                topSpacing: 0
            });
        });
    ');
}

if($sidecol_responsive_pos == 'after') {
    // Responsive stacking order
    $document->addStyleDeclaration('
    @media only screen and (max-width: 767px) {
        .sidecol_a, .sidecol_b {
            order: 1;
        }
    }
    ');
}

if (!$this->params->get('top1_bg') || !$this->params->get('top2_bg') || !$this->params->get('top3_bg') || !$this->params->get('bottom1_bg') || !$this->params->get('bottom2_bg') || !$this->params->get('bottom3_bg')) {
    // Paralax Background
    $document->addScript('templates/' . $this->template . '/js/jarallax.min.js', false, false);
    $document->addScriptDeclaration("
        jarallax(document.querySelectorAll('.jarallax'));
    ");
}

// Load scripts.js
$document->addScriptOptions('j51_template', array(
    'scrolltoOffset' => $this->params->get('scrollto_offset', -55),
    'mobileMenuPosition' => $this->params->get('mobile_menu_position', 'left')
));
$document->addScript('templates/'.$this->template.'/js/scripts.js', false, true);
